<script setup>
// 当前组件支持以下属性：
//   name - 字段名
//   maxlength - 最大字符数
//   rows - 行数
//   cols - 列数

import Textarea from "primevue/textarea";
import {ref} from "vue";

const rootRef = ref()

defineExpose({
	focus() {
		rootRef.value.$el.focus()
	},
	set value(v) {
		rootRef.value.$el.value = v
	}
})

</script>

<template>
	<Textarea ref="rootRef" class="resize-none"></Textarea>
</template>

<style scoped>

</style>